## bitwuzla 0.8.2

=== meson_options.txt ===
option('python', type: 'boolean', value: false)
option('testing', type: 'feature', value: 'auto')
option('unit_testing', type: 'feature', value: 'auto')
option('docs', type: 'boolean', value: false)
option('kissat', type: 'boolean', value: false)
option('cryptominisat', type: 'boolean', value: false)
option('fpexp', type: 'boolean', value: false)
option('aiger', type: 'boolean', value: false)

=== examples/meson_options.txt ===
option('python', type: 'boolean', value: false)
option('python_path', type: 'string', value: '')

=== debian/changelog ===
bitwuzla (0.8.2-2) unstable; urgency=medium

  * Fix d/watch
  * Update Standards-Version to 4.7.3: drop default Priority in d/ctrl
  * Drop B-D on quilt (Closes: #1129345)
  * Implement multiarch hints

 -- Gábor Németh <homar@riseup.net>  Mon, 02 Mar 2026 15:27:15 +0100

bitwuzla (0.8.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1121763)

 -- Gábor Németh <homar@riseup.net>  Mon, 15 Dec 2025 10:53:05 +0100

=== debian/control ===
Source: bitwuzla
Section: science
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Gábor Németh <homar@riseup.net>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 cython3,
 doxygen,
 git,
 help2man,
 libcadical-dev,
 libgmp-dev,
 libgtest-dev,
 libpython3-dev,
 libsymfpu-dev,
 meson,
 ninja-build,
 pkgconf,
 pybuild-plugin-pyproject,
 python3-breathe,
 python3-mesonpy,
 python3-pytest,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-sphinx-tabs,
 python3-sphinxcontrib.bibtex,
Standards-Version: 4.7.3
Homepage: https://github.com/bitwuzla/bitwuzla
Vcs-Browser: https://salsa.debian.org/science-team/bitwuzla
Vcs-Git: https://salsa.debian.org/science-team/bitwuzla.git
X-Python3-Version: >= 3.13, << 3.14

Package: bitwuzla
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: SMT solver for bit vectors and arrays
 Bitwuzla is a Satisfiability Modulo Theories (SMT) solver for the theories of
 fixed-size bit-vectors, floating-point arithmetic, arrays, uninterpreted
 functions and their combinations.

Package: libbitwuzla0
Architecture: any
Section: libs
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: SMT solver for bit vectors and arrays (runtime libraries)
 Bitwuzla is a Satisfiability Modulo Theories (SMT) solver for the theories of
 fixed-size bit-vectors, floating-point arithmetic, arrays, uninterpreted
 functions and their combinations.
 .
 This package contains the runtime libraries, necessary to run Bitwuzla.

Package: bitwuzla-dev
Architecture: any
Depends:
 libbitwuzla0 (= ${binary:Version}),
 ${misc:Depends},
Description: SMT solver for bit vectors and arrays (development files)
 Bitwuzla is a Satisfiability Modulo Theories (SMT) solver for the theories of
 fixed-size bit-vectors, floating-point arithmetic, arrays, uninterpreted
 functions and their combinations.
 .
 This package contains C and C++ bindings to Bitwuzla.

Package: python3-bitwuzla
Architecture: any
Section: python
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: SMT solver for bit vectors and arrays (Python bindings)
 Bitwuzla is a Satisfiability Modulo Theories (SMT) solver for the theories of
 fixed-size bit-vectors, floating-point arithmetic, arrays, uninterpreted
 functions and their combinations.
 .
 This package contains Python bindings to Bitwuzla.

Package: bitwuzla-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 libjs-jquery,
 ${misc:Depends},
Recommends:
 fonts-font-awesome,
 fonts-lato,
 fonts-roboto-slab,
Description: Documentation for Bitwuzla
 Bitwuzla is a Satisfiability Modulo Theories (SMT) solver for the theories of
 fixed-size bit-vectors, floating-point arithmetic, arrays, uninterpreted
 functions and their combinations.
 .
 This package contains HTML documentation for Bitwuzla.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DOCS_DIR = $(shell dh_assistant which-build-system | sed -e 's/.*"build-directory":"//' -e 's/".*//')/docs-gh

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Smeson+ninja -- --buildtype=debugoptimized -Ddefault_library=shared -Dtesting=enabled -Dpython=true -Ddocs=true

execute_after_dh_auto_install:
	cd $(CURDIR)/debian/tmp && LD_LIBRARY_PATH=usr/lib/$(DEB_HOST_MULTIARCH) help2man -n "SMT solver for bit vectors and arrays" usr/bin/bitwuzla >bitwuzla.1
	find $(DOCS_DIR) -name '*kind.html' | xargs -r sed -i -e '/cdn.jsdelivr.net.*mathjax.*js/ { s_<script_<!--script_; s_/script>_/script-->_ }'
	$(RM) -rf $(DOCS_DIR)/cli_usage.txt $(DOCS_DIR)/static/fonts $(DOCS_DIR)/static/jquery.js

=== debian/watch ===
Version: 5
Template: Github
Owner: bitwuzla
Project: bitwuzla
# exclude `smtcomp-2021`
Version-Type: SEMANTIC_VERSION
